Page tree

Skip to end of metadata
Go to start of metadata

Summary

Many plugins and tools have been available for a long time and support many older releases. Use the Marketplace entries to determine availability of a version supporting the Atlassian product release you need. As a general rule, testing and support is done on at least the last 3 Atlassian product releases. Atlassian Command Line Interface (CLI) has a more complicated compatibility matrix - see Compatibility Notes for more details.

Topics

Operating Systems

Any operating system supported by Atlassian products. Windows, Linux, and Mac OSX are supported clients for Atlassian Command Line Interface (CLI) (plus related CLIs) and GINT - Groovy Integration Test Framework support .

Java

We support Atlassian platforms running the Java version required by the platform except where specifically noted. Our primary test platform is the minimum Java version supported by the Atlassian product version. Oracle has ended public updates of Java 1.7, so we strongly recommend using Java 1.8 for all client and server environments (except on any older release where it is not supported).

Most Atlassian applications (at latest levels) required Java 1.8. Atlassian no longer supports Java 1.7.

Viewing your Java level

Most Atlassian products have a System Information panel for Administrators that has Java and other information.


Browsers

  • Most add-ons are not affected by specific browsers other than by the Atlassian application platform they are running on
  • In cases where there is a browser specific impact, testing is done on the level of browser considered current and supported by Atlassian at the time the add-on is released
    • However add-ons released supporting older versions of the Atlassian application will have browser compatibility based on the current Atlassian browser support 
    • Known problems will be documented in JIRA items but may be resolved as Won't Fix based on the current Atlassian browser support